RTEMS: Classic Tasks Manager Implementation

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Functions | Variables
Classic Tasks Manager Implementation
Internal » Classic

## Files
file | tasksdata.h
| Classic Tasks Manager Data Structures.
file | tasksimpl.h
| Classic Tasks Manager Implementation.
file | rtemsmaxprio.c

## Data Structures
struct | RTEMS_API_Control

## Functions
void | _RTEMS_tasks_Initialize_user_task (void)
| System initialization handler to create and start the first user task.
void | _RTEMS_tasks_Initialize_user_tasks (void)
| RTEMS User Task Initialization.
RTEMS_INLINE_ROUTINE Thread_Control * | _RTEMS_tasks_Allocate (void)
RTEMS_INLINE_ROUTINE void | _RTEMS_tasks_Free (Thread_Control *the_task)
| Frees a task control block.
RTEMS_INLINE_ROUTINE Priority_Control | _RTEMS_Priority_To_core (const Scheduler_Control *scheduler, rtems_task_priority priority, bool *valid)
| Converts the RTEMS API priority to the corresponding SuperCore priority and validates it.
RTEMS_INLINE_ROUTINE rtems_task_priority | _RTEMS_Priority_From_core (const Scheduler_Control *scheduler, Priority_Control priority)
| Converts the SuperCore priority to the corresponding RTEMS API priority.

## Variables
const rtems_initialization_tasks_table | _RTEMS_tasks_User_task_table
| Initialization table for the first user task.
Thread_Information | _RTEMS_tasks_Information

## Detailed Description

## Function Documentation

## ◆ _RTEMS_Priority_From_core()

RTEMS_INLINE_ROUTINE rtems_task_priority _RTEMS_Priority_From_core | ( | const Scheduler_Control * | scheduler,
|  | Priority_Control | priority
| ) |  |

Converts the SuperCore priority to the corresponding RTEMS API priority.

Parameters

  [in] | scheduler | The scheduler instance.
  [in] | priority | The SuperCore priority to convert.

Returns
  The corresponding RTEMS API priority.

## ◆ _RTEMS_Priority_To_core()

RTEMS_INLINE_ROUTINE Priority_Control _RTEMS_Priority_To_core | ( | const Scheduler_Control * | scheduler,
|  | rtems_task_priority | priority,
|  | bool * | valid
| ) |  |

Converts the RTEMS API priority to the corresponding SuperCore priority and validates it.

The RTEMS API system priority is accepted as valid.

Parameters

  [in] | scheduler | The scheduler instance.
  [in] | priority | The RTEMS API priority to convert and validate.
  [out] | valid | Indicates if the RTEMS API priority is valid and a corresponding SuperCore priority in the specified scheduler instance exists.

Returns
  The corresponding SuperCore priority.

## ◆ _RTEMS_tasks_Free()

RTEMS_INLINE_ROUTINE void _RTEMS_tasks_Free | ( | Thread_Control * | the_task | ) |

Frees a task control block.

This routine frees a task control block to the inactive chain of free task control blocks.

## ◆ _RTEMS_tasks_Initialize_user_tasks()

void _RTEMS_tasks_Initialize_user_tasks | ( | void |  | ) |

RTEMS User Task Initialization.

This routine creates and starts all configured user initialization threads.

## Variable Documentation

## ◆ _RTEMS_tasks_Information

Thread_Information _RTEMS_tasks_Information
| extern

The following instantiates the information control block used to manage this class of objects.

## ◆ _RTEMS_tasks_User_task_table

const rtems_initialization_tasks_table _RTEMS_tasks_User_task_table
| extern

Initialization table for the first user task.

This table is used by _RTEMS_tasks_Initialize_user_task() and initialized via <rtems/confdefs.h>.